import React from 'react';
import { CheckCircle } from 'styled-icons/fa-solid';
import { Message } from './Message';
import renderer from 'react-test-renderer';
it('renders', () => {
    const tree = renderer.create(React.createElement(Message, null)).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - header', () => {
    const tree = renderer.create(React.createElement(Message, { header: "header" })).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - content', () => {
    const tree = renderer.create(React.createElement(Message, { content: "content" })).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - both', () => {
    const tree = renderer
        .create(React.createElement(Message, { header: "header", content: "content" }))
        .toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - primary', () => {
    const tree = renderer.create(React.createElement(Message, { success: true })).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - secondary', () => {
    const tree = renderer.create(React.createElement(Message, { negative: true })).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - floated', () => {
    const tree = renderer.create(React.createElement(Message, { floating: true })).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - info', () => {
    const tree = renderer.create(React.createElement(Message, { info: true })).toJSON();
    expect(tree).toMatchSnapshot();
});
it('renders - icon', () => {
    const tree = renderer.create(React.createElement(Message, { icon: CheckCircle })).toJSON();
    expect(tree).toMatchSnapshot();
});
