import { HiroDefaultTheme, HiroColors } from './types';
import { DefaultTheme } from 'styled-components';
export declare const defaultTheme: HiroDefaultTheme;
export declare const createTheme: {
    (theme?: {
        breakpoints?: {
            md?: number | undefined;
            lg?: number | undefined;
            xl?: number | undefined;
        } | undefined;
        colors?: Record<HiroColors, string> | undefined;
        font?: {
            h1?: import("styled-components").CSSObject | undefined;
            h2?: import("styled-components").CSSObject | undefined;
            h3?: import("styled-components").CSSObject | undefined;
        } | undefined;
        global?: import("styled-components").CSSObject | undefined;
        greyscale?: import("./types").GreyscaleDefinitions | undefined;
        sizes?: {
            borderRadius?: string | number | undefined;
            padding?: string | undefined;
            scale?: Record<import("./types").SizeScale, string | number> | undefined;
        } | undefined;
    } | undefined): DefaultTheme;
    displayName: string;
    __docgenInfo: {
        "description": string;
        "displayName": string;
        "props": {
            "breakpoints": {
                "defaultValue": null;
                "description": string;
                "name": string;
                "required": boolean;
                "type": {
                    "name": string;
                };
            };
            "colors": {
                "defaultValue": null;
                "description": string;
                "name": string;
                "required": boolean;
                "type": {
                    "name": string;
                };
            };
            "font": {
                "defaultValue": null;
                "description": string;
                "name": string;
                "required": boolean;
                "type": {
                    "name": string;
                };
            };
            "global": {
                "defaultValue": null;
                "description": string;
                "name": string;
                "required": boolean;
                "type": {
                    "name": string;
                };
            };
            "greyscale": {
                "defaultValue": null;
                "description": string;
                "name": string;
                "required": boolean;
                "type": {
                    "name": string;
                };
            };
            "sizes": {
                "defaultValue": null;
                "description": string;
                "name": string;
                "required": boolean;
                "type": {
                    "name": string;
                };
            };
        };
    };
};
export declare const defaultCreatedTheme: DefaultTheme;
export default defaultCreatedTheme;
export declare const useTheme: () => DefaultTheme;
