import { text, primary, secondary } from './color';
import defaultTheme from '../theme';
describe('text', () => {
    it('Empty style', () => {
        const res = text({ theme: defaultTheme });
        expect(res).toBeFalsy();
    });
    it('Generates coloured style', () => {
        const res = text({ theme: defaultTheme, color: 'red' });
        expect(res).toBeTruthy();
        expect(res.color).toBe(defaultTheme.colors.red.default);
    });
});
describe('primary', () => {
    it('Generates style', () => {
        const res = primary({ theme: defaultTheme });
        expect(res).toBeTruthy();
        expect(res.backgroundColor).toBe(defaultTheme.colors.primary.default);
    });
    it('Generates coloured style', () => {
        const res = primary({ theme: defaultTheme, color: 'red' });
        expect(res).toBeTruthy();
        expect(res.backgroundColor).toBe(defaultTheme.colors.red.default);
    });
});
describe('secondary', () => {
    it('Generates style', () => {
        const res = secondary({ theme: defaultTheme });
        expect(res).toBeTruthy();
        expect(res.backgroundColor).toBe('transparent');
    });
    it('Generates coloured style', () => {
        const res = secondary({ theme: defaultTheme, color: 'red' });
        expect(res).toBeTruthy();
        expect(res.color).toBe(defaultTheme.colors.red.dark);
    });
});
